Package com.xebialabs.xlrelease.configuration

## Class TaskAccess

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.configuration.TaskAccess

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(root=CONFIGURATION,
                versioned=false)
      public class TaskAccess
      extends BaseConfiguration

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `TASK_ACCESS_PATH` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskAccess()` |
    `TaskAccess​(java.lang.String taskType, boolean isAllowedToAll, java.util.List<java.lang.String> roles)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.lang.String>` | `getRoles()` |
    `static java.lang.String` | `getTaskAccessId​(java.lang.String taskType)` |
    `boolean` | `isAllowedToAll()` |
    `void` | `setAllowedToAll​(boolean isAllowedToAll)` |
    `void` | `setRoles​(java.util.List<java.lang.String> roles)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, getTitle, hasId, setFolderId, setTitle`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TASK_ACCESS_PATH

          public static final java.lang.String TASK_ACCESS_PATH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaskAccess

          public TaskAccess()

    - #### TaskAccess

          public TaskAccess​(java.lang.String taskType,
                            boolean isAllowedToAll,
                            java.util.List<java.lang.String> roles)

  - ### Method Detail

    - #### getTaskAccessId

          public static java.lang.String getTaskAccessId​(java.lang.String taskType)

    - #### getRoles

          public java.util.List<java.lang.String> getRoles()

    - #### setRoles

          public void setRoles​(java.util.List<java.lang.String> roles)

    - #### isAllowedToAll

          public boolean isAllowedToAll()

    - #### setAllowedToAll

          public void setAllowedToAll​(boolean isAllowedToAll)